org.keycloak.dom.xmlsec.w3.xmlenc

## Class AgreementMethodType

- java.lang.Object
- - org.keycloak.dom.xmlsec.w3.xmlenc.AgreementMethodType

-     public class AgreementMethodType
      extends Object

  Java class for AgreementMethodType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="AgreementMethodType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="KA-Nonce" type="{http://www.w3.org/2001/XMLSchema}base64Binary" minOccurs="0"/>
               <any/>
               <element name="OriginatorKeyInfo" type="{http://www.w3.org/2000/09/xmldsig#}KeyInfoType" minOccurs="0"/>
               <element name="RecipientKeyInfo" type="{http://www.w3.org/2000/09/xmldsig#}KeyInfoType" minOccurs="0"/>
             </sequence>
             <attribute name="Algorithm" use="required" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AgreementMethodType.AggrementMethod`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `algorithm`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AgreementMethodType(String algo)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAlgorithm()` Gets the value of the algorithm property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### algorithm

          protected String algorithm

  - ### Constructor Detail

    - #### AgreementMethodType

          public AgreementMethodType(String algo)

  - ### Method Detail

    - #### getAlgorithm

          public String getAlgorithm()

      Gets the value of the algorithm property.
      Returns:
        possible object is `String`

Copyright © 2016 JBoss by Red Hat. All rights reserved.